grk::CompressBlockExec Struct Reference

`#include <BlockExec.h>`

Inheritance diagram for grk::CompressBlockExec:

## Public Member Functions

| CompressBlockExec ()
bool | open (T1Interface *t1)
void | close (void)
Public Member Functions inherited from grk::BlockExec
| BlockExec ()
virtual | ~BlockExec ()=default

## Public Attributes

CompressCodeblock * | cblk
Tile * | tile
bool | doRateControl
double | distortion
int32_t * | tiledp
uint16_t | compno
uint8_t | resno
uint64_t | precinctIndex
uint64_t | cblkno
float | inv_step_ht
const double * | mct_norms
uint16_t | mct_numcomps
Public Attributes inherited from grk::BlockExec
TileComponent * | tilec
uint8_t | bandIndex
uint8_t | bandNumbps
eBandOrientation | bandOrientation
float | stepsize
uint8_t | cblk_sty
uint8_t | qmfbid
uint32_t | x
uint32_t | y
uint8_t | k_msbs
uint8_t | R_b

## Constructor & Destructor Documentation

## CompressBlockExec()

grk::CompressBlockExec::CompressBlockExec | ( |  | ) |

inline

## Member Function Documentation

## close()

void grk::CompressBlockExec::close | ( | void |  | ) |

inline

## open()

bool grk::CompressBlockExec::open | ( | T1Interface * | t1 | ) |

inline virtual

Implements grk::BlockExec.

References grk::T1Interface::compress().

## Member Data Documentation

## cblk

CompressCodeblock* grk::CompressBlockExec::cblk

Referenced by ojph::T1OJPH::compress(), and openhtj2k::T1OpenHTJ2K::compress().

## cblkno

uint64_t grk::CompressBlockExec::cblkno

## compno

uint16_t grk::CompressBlockExec::compno

## distortion

double grk::CompressBlockExec::distortion

## doRateControl

bool grk::CompressBlockExec::doRateControl

## inv_step_ht

float grk::CompressBlockExec::inv_step_ht

## mct_norms

const double* grk::CompressBlockExec::mct_norms

## mct_numcomps

uint16_t grk::CompressBlockExec::mct_numcomps

## precinctIndex

uint64_t grk::CompressBlockExec::precinctIndex

## resno

uint8_t grk::CompressBlockExec::resno

## tile

Tile* grk::CompressBlockExec::tile

Referenced by ojph::T1OJPH::compress(), and openhtj2k::T1OpenHTJ2K::compress().

## tiledp

int32_t* grk::CompressBlockExec::tiledp

The documentation for this struct was generated from the following file:

- BlockExec.h